import javax.swing.*;
import java.awt.*;
import java.awt.event.*;

public class CounterView extends JPanel {

    private ClockView panel;

    public CounterView () {
        panel = new ClockView(0,0);
        JButton startButton = new JButton("Start");
        JButton stopButton = new JButton("Stop");
        startButton.addActionListener(new StartListener());
        stopButton.addActionListener(new StopListener());
        setLayout(new BorderLayout());
        add(panel,BorderLayout.NORTH);
        add(startButton,BorderLayout.WEST);
        add(stopButton,BorderLayout.EAST);
        setOpaque(true);
    }

    private class StartListener implements ActionListener {
        public void actionPerformed (ActionEvent e) {
            Timer timer2 = new Timer((int)(2000 + 1000*Math.random()),new WaitListener());
            timer2.setRepeats(false);
            timer2.start();
            panel.reset();
        }
    }    

    private class StopListener implements ActionListener {
        public void actionPerformed (ActionEvent e) {
            panel.stop();
        }
    }

    private class WaitListener implements ActionListener {
        public void actionPerformed (ActionEvent e) {
            panel.start();
        }
    }
}